package com.hzya.frame.voucher.ae.comf.subject.entity;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.hzya.frame.web.entity.BaseEntity;
import lombok.Data;

/**
 * 会计事项(accounting_event)-配置-科目分类定义(AeConfSubjectClassification)实体类
 *
 * @author zydd
 * @since 2025-06-06 17:00:57
 */
@Data
public class AeConfSubjectClassificationEntity extends BaseEntity {

    /**
     * 科目分类编码
     */
    private String code;
    /**
     * 科目分类名称
     */
    private String name;
    /**
     * 模块id
     */
    private String aeConfModuleId;
    /**
     * 公司pk
     */
    private String pkCorp;
    /**
     * 账簿主键
     */
    private String pkglorgbook;
    /**
     * 账簿编码
     */
    private String glorgbookcode;
    /**
     * 账簿名称
     */
    private String glorgbookname;
    /**
     * 影响因素定义ids
     */
    private String factorids;
    /**
     * 影响因素定义names
     */
    private String factornames;
    /**
     * 对照表id
     */
    private String contrastId;
    private String contrastCode;
    private String contrastName;
    /**
     * 目标档案值（会计科目)-默认值，没有对照表时使用
     */
    private String desdocvalueDefaultId;
    private String desdocvalueDefaultName;
    /**
     * 备注
     */
    private String remark;
    @JsonIgnore
    private String def1;
    @JsonIgnore
    private String def2;
    @JsonIgnore
    private String def3;
    @JsonIgnore
    private String def4;
    @JsonIgnore
    private String def5;
    @JsonIgnore
    private String def6;
    @JsonIgnore
    private String def7;
    @JsonIgnore
    private String def8;
    @JsonIgnore
    private String def9;
    @JsonIgnore
    private String def10;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 修改人
     */
    private String modifyUser;

    /**
     * 科目对照子表
     */
    private List<AeConfSubjectContrastBEntity> contrastBEntityList;


}

