package com.hzya.frame.voucher.ae.comf.bd.dao.impl;

import cn.hutool.core.lang.Assert;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.voucher.ae.comf.bd.dao.IMdmDBQueryVODAO;
import com.hzya.frame.voucher.ae.comf.bd.entity.vo.*;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * Created by zydd on 2025-06-06 10:05
 */
@Repository
public class MdmDBQueryVODAOImpl extends MybatisGenericDao<MdmDBQueryVO, String> implements IMdmDBQueryVODAO {
    @Override
    public List<Map<String, Object>> queryMdmDb(MdmDBQueryVO u8CQueryVO) {
        List<Map<String, Object>> maps = (List<Map<String, Object>>) selectList("com.hzya.frame.voucher.ae.comf.bd.dao.impl.MdmDBQueryVODAOImpl.queryMdmDb", u8CQueryVO);
        return maps;
    }


    @Override
    public List<CashFlowVO> queryCashflowVO(CashFlowVO cashFlowVO) {
        List<CashFlowVO> cashFlowVOS =(List<CashFlowVO>) selectList("com.hzya.frame.voucher.ae.comf.bd.dao.impl.MdmDBQueryVODAOImpl.queryCashflowVO", cashFlowVO);
        return cashFlowVOS;
    }

    @Override
    public List<GlSubrelationVO> queryGlsubrelationVO(GlSubrelationVO glSubrelationVO) {
        Assert.notNull(glSubrelationVO.getPkGlorgbook(),"查询科目对应表时，账簿主键不能为空");
        Assert.notNull(glSubrelationVO.getPkCashflow(),"查询科目对应表时，现金流项目主键不能为空");
        List<GlSubrelationVO> glSubrelationVOS =(List<GlSubrelationVO>) selectList("com.hzya.frame.voucher.ae.comf.bd.dao.impl.MdmDBQueryVODAOImpl.queryGlsubrelationVO", glSubrelationVO);
        return glSubrelationVOS;
    }

    @Override
    public List<BdBdinfoEntity> queryBdBdinfoList(BdBdinfoEntity entity) {
        List<BdBdinfoEntity> list =(List<BdBdinfoEntity>) selectList("com.hzya.frame.voucher.ae.comf.bd.dao.impl.MdmDBQueryVODAOImpl.queryBdBdinfoList", entity);

        return list;
    }

    @Override
    public List<BdAccassitemVO> queryBdInfoBySubjass(BdAccassitemVO entity) {
        List<BdAccassitemVO> list =(List<BdAccassitemVO>) selectList("com.hzya.frame.voucher.ae.comf.bd.dao.impl.MdmDBQueryVODAOImpl.queryBdInfoBySubjass", entity);
        return list;
    }
}
